package com.zcloud.service.bus;

import com.zcloud.entity.PageData;

/**
 * description: 站内信通知工具类
 */
public interface NoticeCorpUtil {

    /**
     * description: 安全环保检查专用站内信工具
     */
    void SE_OneStepUtil(PageData information) throws Exception;

    void SE_returnOneStepUtil(PageData information) throws Exception;

    void SE_TwoStepUtil(PageData information) throws Exception;

    void SE_ThreeStepUtil(PageData information) throws Exception;

    /**
     * description: 安全环保检查验收打回
     */
    void SE_Repulse(PageData information) throws Exception;

    /**
     * description: 安全环保检查申辩
     */
    void SE_PleadingStepUtil(PageData information) throws Exception;

    /**
     * description: 申辩不通过
     */
    void FailPleadind(PageData information) throws Exception;
}
